## gla11y 0.2

=== Makefile ===
prefix ?= /usr
bindir ?= $(prefix)/bin
datarootdir ?= $(prefix)/share
mandir ?= $(datarootdir)/man

INSTALL=install
HELP2MAN=help2man

all: gla11y.1

gla11y.1: gla11y
	$(HELP2MAN) -N ./$< > $@

check:
	$(MAKE) -C regress/

install: gla11y.1
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) gla11y $(DESTDIR)$(bindir)/gla11y
	$(INSTALL) -d $(DESTDIR)$(mandir)/man1
	$(INSTALL) -m 644 gla11y.1 $(DESTDIR)$(mandir)/man1/gla11y.1

clean:
	rm -f gla11y.1

=== debian/changelog ===
gla11y (0.2-2) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * tests/control: Add python3-lxml dependency to fix missing line numbers.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Sep 2019 02:55:33 +0200

gla11y (0.2-1) unstable; urgency=medium

  * Initial release (Closes: Bug#930638)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Jun 2019 11:14:44 +0200

=== debian/control ===
Source: gla11y
Section: devel
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 11), help2man, python3, python3-lxml
Standards-Version: 4.4.0
Homepage: https://github.com/hypra/gla11y
Vcs-Browser: https://salsa.debian.org/a11y-team/gla11y
Vcs-Git: https://salsa.debian.org/a11y-team/gla11y.git

Package: gla11y
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python3
Recommends: python3-lxml
Description: Automatic check of accessibility of .ui files
 This tool checks accessibility of GtkBuilder .ui files produced e.g. by glade
 It looks for various issues, and notably missing or bogus labelling
 relations.
 .
 It can for instance be used in Continous Integration checks to make sure not to
 introduce accessibility regressions.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gla11y-$1.tar.gz%" \
   https://github.com/hypra/gla11y/releases \
   (?:.*?/)?gla11y-(\d[\d.]*)\.(?:txz|tbz2|tgz|tar\.(?:xz|bz2|gz)|zip) debian uupdate

## gla11y 0.4

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 all: gla11y.1
 
 gla11y.1: gla11y
-	$(HELP2MAN) -N ./$< > $@
+	$(HELP2MAN) -N -n "Check accessibility of glade .ui files" ./$< > $@
 
 check:
 	$(MAKE) -C regress/

=== regress/Makefile ===

GLA11Y ?=	../gla11y
TESTS =		000-multiple_a11y_children \
		001-non_existing_labelled-by \
		002-multiple_label-for \
		003-multiple_mnemonic_widget \
		004-broken_label-for \
		005-broken_mnemonic_widget \
		006-empty_GtkLabel \
		007-multiple_label-for \
		008-more_than_one_mnemonic_widget \
		010-missing_labelled-by-but-tooltip \
		011-missing_labelled-by-but-action_name \
		012-broken_labelled-by \
		013-broken_member-of \
		014-empty_GtkLabel_but_child \
		015-image_for_button \
		016-missing_labelled-by-but-labelled-frame \
		017-missing_labelled-by-without-labelled-frame \
		018-empty_GtkLabel-but-alone \
		019-missing_labelled-by-but-placeholder \
		020-button-missing-label \
		021-entry-missing-label \
		022-missing_labelled-by-but-internal-child \
		023-duplicate-id \
		024-both-label-for-and-mnemonic \
		025-multiple-labelled-by \
		026-multiple-tooltip \
		027-multiple-placeholder \
		028-multiple-label \
		029-multiple-action_name \
		030-accessible \
		031-label-for \
		032-mnemonic \
		033-missing_labelled-by-but-label \
		034-image \
		035-labelled-label \
		036-label-static

LOGTESTS =	100-multiple_a11y_children

all: $(TESTS) $(LOGTESTS)

$(TESTS):
	$(GLA11Y) $@.ui | diff -u $@.ok /dev/stdin

$(LOGTESTS):
	$(GLA11Y) -s $@.suppr $@.ui | diff -u $@.ok /dev/stdin

.PHONY: all $(TESTS) $(LOGTESTS)

=== debian/changelog ===
gla11y (0.4-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Set Rules-Requires-Root to no.
  * watch: Use API instead of releases page.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Jul 2023 16:33:53 +0200

gla11y (0.4-2) unstable; urgency=medium

  * control: Make gla11y Multi-Arch: foreign.
  * control: Update alioth list domain.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 May 2020 00:59:30 +0200

gla11y (0.4-1) unstable; urgency=medium

  * New upstream release.
    - patches/python3: Merged upstream.
  * control: Make python dependency :any.
  * watch: Generalize pattern.
  * control: Typo.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Dec 2019 00:19:10 +0100

=== debian/control ===
Source: gla11y
Section: devel
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), help2man, python3, python3-lxml
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/hypra/gla11y
Vcs-Browser: https://salsa.debian.org/a11y-team/gla11y
Vcs-Git: https://salsa.debian.org/a11y-team/gla11y.git

Package: gla11y
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
Recommends: python3-lxml
Description: Automatic check of accessibility of .ui files
 This tool checks accessibility of GtkBuilder .ui files produced e.g. by glade
 It looks for various issues, and notably missing or bogus labelling
 relations.
 .
 It can for instance be used in Continuous Integration checks to make sure not
 to introduce accessibility regressions.

=== debian/tests/control ===
Depends: gla11y, python3-lxml
Test-Command: GLA11Y=/usr/bin/gla11y make check

=== debian/watch ===
version=4
opts=searchmode=plain https://api.github.com/repos/hypra/gla11y/releases \
   https://github.com/hypra/gla11y/releases/download/v\d[\.\d]*/gla11y-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
